## FmCellRendererText FmCellRendererText — An implementation of cell text renderer. |

## Functions

GtkCellRenderer * | fm_cell_renderer_text_new ()

## Properties

gint | max-height | Read / Write

## Types and Values

#define | FM_CELL_RENDERER_TEXT_TYPE
struct | FmCellRendererText
struct | FmCellRendererTextClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererText
                        ╰── FmCellRendererText

## Description

`include` : libfm/fm-gtk.h

The FmCellRendererText can be used to render text in cell.

## Functions

### fm_cell_renderer_text_new ()

    GtkCellRenderer *
    fm_cell_renderer_text_new (void);

Creates new GtkCellRenderer object for FmCellRendererText.

#### Returns

a new GtkCellRenderer object.

Since: 0.1.0

## Types and Values

### FM_CELL_RENDERER_TEXT_TYPE

    #define FM_CELL_RENDERER_TEXT_TYPE				(fm_cell_renderer_text_get_type())

### struct FmCellRendererText

    struct FmCellRendererText;

### struct FmCellRendererTextClass

    struct FmCellRendererTextClass {
    };

## Property Details

### The `“max-height”` property

      “max-height”               gint

The “max-height” property is the maximum height of text that will be rendered. If text doesn't fit in that height then text will be ellipsized. The value of -1 means unlimited height.

Flags: Read / Write

Allowed values: [-1,2048]

Default value: -1

Since: 1.0.2